package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PersonApplicationInfo;
import com.jpsoft.shinestar.modules.base.entity.PersonInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import com.jpsoft.shinestar.modules.sys.entity.User;

import java.util.List;
import java.util.Map;

public interface PersonApplicationInfoService {
	PersonApplicationInfo get(String id);
	boolean exist(String id);
	int insert(PersonApplicationInfo model);
	int update(PersonApplicationInfo model);
	int delete(String id);
	List<PersonApplicationInfo> list();
	Page<PersonApplicationInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

	void examineApplicationPerson(PersonInfo personInfo, User user, String ids, String status, String deviceIds, String companyId) throws Exception;

	PersonApplicationInfo findByTelephoneAndStatus(String phone, String status);

    PersonApplicationInfo findIsExistApply(String companyId, String telephone, String status);

	PersonApplicationInfo findPhoneAndStatus(String phone, String status);
}